/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is 
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998-1999
 * the Initial Developer. All Rights Reserved.
 *
 * Modern Contributor(s):
 *   Joe Hewitt <hewitt@netscape.com>
 *
 * Orbit 3+1 Contributors:
 *  Kent Thuresson <> - Originator of Orbit, Orbit3
 *  Chris Neale <morbit@cdn.gs> - mOrbit, because it's Orbit derived from Modern
 *
 *  Multizilla fix:
 *   HJ van Rantwijk aka /HJ <bugs4hj@netscape.net> - Multizilla Guru
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or 
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/* $Id: hybrid.css,v 1.1.1.1 2002/09/08 20:36:44 orbit Exp $ */

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");

/* ::::: primary toolbar buttons ::::: */

.toolbarbutton-1 {
  min-width: 0px;
  padding: 0px !important;
  margin: 0px !important;
  border: 0px !important;
}

#back-button {
  list-style-image: url("chrome://navigator/skin/o3-imap-nav-back.png") !important;
  -moz-image-region: rect(0px 46px 42px 0px);
}

#back-button[buttonover="true"] {
  -moz-image-region: rect(0px 100px 42px 54px);
}

#back-button[disabled="true"] {
  -moz-image-region: rect(0px 154px 42px 108px) !important;
}

#back-button[buttondown="true"] {
  -moz-image-region: rect(0px 208px 42px 162px);
}


#forward-button {
  list-style-image: url("chrome://navigator/skin/o3-imap-nav-forward.png") !important;
  -moz-image-region: rect(0px 46px 42px 0px);
}

#forward-button[buttonover="true"] {
  -moz-image-region: rect(0px 100px 42px 54px);
}

#forward-button[disabled="true"] {
  -moz-image-region: rect(0px 154px 42px 108px) !important;
}

#forward-button[buttondown="true"] {
  -moz-image-region: rect(0px 208px 42px 162px);
}



#reload-button {
  list-style-image: url("chrome://navigator/skin/o3-imap-nav-reload.png") !important;
  -moz-image-region: rect(0px 40px 42px 0px);
  margin-right: 3px !important;
}
  
#reload-button:hover {
  -moz-image-region: rect(0px 81px 42px 41px);
}

#reload-button[disabled="true"] {
  -moz-image-region: rect(0px 122px 42px 82px) !important;
}

#reload-button:hover:active {
  -moz-image-region: rect(0px 163px 42px 123px);
}


#stop-button {
  list-style-image: url("chrome://navigator/skin/o3-imap-nav-stop.png") !important;
  -moz-image-region: rect(0px 40px 42px 0px);
} 

#stop-button:hover {
  -moz-image-region: rect(0px 81px 42px 41px);
} 

#stop-button[disabled="true"] {
/*  -moz-image-region: rect(0px 122px 42px 82px) !important;*/
} 
#stop-button:hover:active {
  -moz-image-region: rect(0px 163px 42px 123px);
} 


#home {
  list-style-image: url("chrome://communicator/skin/help/o3-imap-help-home.png") !important;
  -moz-image-region: rect(0px 46px 42px 0px);
}

#home:hover {
  -moz-image-region: rect(0px 100px 42px 54px);
}

#home[disabled="true"] {
  -moz-image-region: rect(0px 154px 42px 108px) !important;
}

#home:hover:active {
  -moz-image-region: rect(0px 208px 42px 162px);
}

/*
#print-button {
  list-style-image: url("chrome://navigator/skin/o3-imap-nav-print.png") !important;
  -moz-image-region: rect(0px 46px 42px 0px) !important;
}

#print-button[buttonover="true"] {
  -moz-image-region: rect(0px 100px 42px 54px) !important;
}

#print-button[buttondown="true"] {
  -moz-image-region: rect(0px 208px 42px 162px) !important;
}

#print-button[disabled="true"] {
  -moz-image-region: rect(0px 154px 42px 108px) !important;
}
*/

/* ::::: small primary toolbar buttons ::::: */

.toolbarbutton-1[toolbarmode="small"] {
  margin-top: 4px !important;
}

#back-button[toolbarmode="small"] {
  list-style-image: url("chrome://navigator/skin/icons/o3-nav-back-forward-06-nhda.png") !important;
  -moz-image-region: rect(0 28px 25px 0);
}

#back-button[buttonover="true"][toolbarmode="small"] {
  -moz-image-region: rect(0 56px 25px 28px);
}

#back-button[disabled="true"][toolbarmode="small"] {
  -moz-image-region: rect(0 84px 25px 56px) !important;
}

#back-button[buttondown="true"][toolbarmode="small"] {
  -moz-image-region: rect(0 112px 25px 84px);
}

#forward-button[toolbarmode="small"] {
  list-style-image: url("chrome://navigator/skin/icons/o3-nav-back-forward-06-nhda.png") !important;
  -moz-image-region: rect(25px 28px 50px 0px);
}

#forward-button[buttonover="true"][toolbarmode="small"] {
  -moz-image-region: rect(25px 56px 50px 28px);
}

#forward-button[buttondown="true"][toolbarmode="small"] {
  -moz-image-region: rect(25px 84px 50px 56px);
}

#forward-button[disabled="true"][toolbarmode="small"] {
  -moz-image-region: rect(25px 112px 50px 84px) !important;
}

#reload-button[toolbarmode="small"] {
  list-style-image: url(chrome://navigator/skin/icons/o3-nav-reload-06-nhad.png) !important;
  -moz-image-region: rect(0px 24px 25px 0px) !important;
}

#reload-button:hover[toolbarmode="small"] {
  -moz-image-region: rect(0px 48px 25px 24px) !important;
}

#reload-button:hover:active[toolbarmode="small"] {
  -moz-image-region: rect(0px 72px 25px 48px) !important;
}

#reload-button[disabled="true"][toolbarmode="small"] {
  -moz-image-region: rect(0px 96px 25px 72px) !important;
}

#stop-button[toolbarmode="small"] {
  list-style-image: url(chrome://navigator/skin/icons/o3-nav-stop-06-nhad.png) !important;
  -moz-image-region: rect(0px 24px 25px 0px) !important;
}

#stop-button:hover[toolbarmode="small"] {
  -moz-image-region: rect(0px 48px 25px 24px) !important;
}

#stop-button:hover:active[toolbarmode="small"] {
  -moz-image-region: rect(0px 72px 25px 48px) !important;
}

#stop-button[disabled="true"][toolbarmode="small"] {
  -moz-image-region: rect(0px 96px 25px 72px) !important;
}

#home[toolbarmode="small"] {
  margin-left: 3px !important;
  list-style-image: url("chrome://navigator/skin/icons/o3-nav-home-06-nhda.png") !important;
  -moz-image-region: rect(0 28px 25px 0);
}

#home:hover[toolbarmode="small"] {
  -moz-image-region: rect(0 56px 25px 28px);
}

#home:hover:active[toolbarmode="small"] {
  -moz-image-region: rect(0 112px 25px 84px);
}

#back-button[toolbarmode="small"] > .toolbarbutton-menubutton-stack
    > .toolbarbutton-menubutton-dropmarker,
#print-button[toolbarmode="small"] > .toolbarbutton-menubutton-stack
    > .toolbarbutton-menubutton-dropmarker,
#forward-button[toolbarmode="small"] > .toolbarbutton-menubutton-stack
    > .toolbarbutton-menubutton-dropmarker
{
  margin: 6px 0px 0px 14px !important; /* top x x x */
}

#back-button[disabled="true"][toolbarmode="small"] > .toolbarbutton-menubutton-stack
    > .toolbarbutton-menubutton-dropmarker,
#forward-button[disabled="true"][toolbarmode="small"] > .toolbarbutton-menubutton-stack
    > .toolbarbutton-menubutton-dropmarker
{
  list-style-image: none !important;
}

#print-button[toolbarmode="small"] {
  margin-right: -6px !important;
  list-style-image: url("chrome://navigator/skin/icons/o3-nav-print-06-nhad.png") !important;
  -moz-image-region: rect(0 28px 25px 0);
}

#print-button[buttonover="true"][toolbarmode="small"] {
  -moz-image-region: rect(0 56px 25px 28px);
}

#print-button[buttondown="true"][toolbarmode="small"] {
  -moz-image-region: rect(0 84px 25px 56px);
}

#print-button[disabled="true"][toolbarmode="small"] {
  -moz-image-region: rect(0 112px 25px 84px);
}

#search-button[toolbarmode="small"] > .button-box > .button-text {
  display: none;
}

#nav-bar[toolbarmode="small"] {
  min-height: 0;
}

#nav-bar[toolbarmode="small"] > #nav-bar-inner {
  margin: 0;
  border: none;
}

#nav-bar[toolbarmode="small"] > #nav-bar-buttons {
  -moz-box-align: center;
}

#nav-bar[toolbarmode="small"] > .toolbar-primary-grippy {
  display: none;
}


/* ::::: special menubutton dropmarkers ::::: */

/* ..... dropmarker box ..... */

#back-button > .toolbarbutton-menubutton-stack
    > .toolbarbutton-menubutton-dropmarker,
#forward-button > .toolbarbutton-menubutton-stack
    > .toolbarbutton-menubutton-dropmarker
{
  margin-left: 34px;
  margin-top: 26px;
}

#print-button > .toolbarbutton-menubutton-stack
    > .toolbarbutton-menubutton-dropmarker
{
  margin-left: 34px;
  margin-top: 26px;
}

#nav-bar-buttons {
  margin-left: 3px;
}

#home-button {
  list-style-image: url("chrome://communicator/skin/o3-bookmark-home-n.png") !important;
}

#home-button:hover {
  list-style-image: url("chrome://communicator/skin/o3-bookmark-home-h.png") !important;
}

#home-button:active {
  list-style-image: url("chrome://communicator/skin/o3-bookmark-home-a.png") !important;
}
